<?php

namespace karali\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for metadata StructType
 * @subpackage Structs
 * @version 1.0
 * @date 2024/03/05
 */
class Metadata extends AbstractStructBase
{
    /**
     * The transactionId
     * @var string
     */
    public $transactionId;
    /**
     * The odaBorsaNo
     * @var string
     */
    public $odaBorsaNo;
    /**
     * The terminalNo
     * @var string
     */
    public $terminalNo;
    /**
     * The istekYapanKullanici
     * @var string
     */
    public $istekYapanKullanici;
    /**
     * The istekZamani
     * @var string
     */
    public $istekZamani;
    /**
     * The istekOzeti
     * @var string
     */
    public $istekOzeti;
    /**
     * Constructor method for metadata
     * @uses Metadata::setTransactionId()
     * @uses Metadata::setOdaBorsaNo()
     * @uses Metadata::setTerminalNo()
     * @uses Metadata::setIstekYapanKullanici()
     * @uses Metadata::setIstekZamani()
     * @uses Metadata::setIstekOzeti()
     * @param string $transactionId
     * @param string $odaBorsaNo
     * @param string $terminalNo
     * @param string $istekYapanKullanici
     * @param string $istekZamani
     * @param string $istekOzeti
     */
    public function __construct($transactionId = null, $odaBorsaNo = null, $terminalNo = null, $istekYapanKullanici = null, $istekZamani = null, $istekOzeti = null)
    {
        $this
            ->setTransactionId($transactionId)
            ->setOdaBorsaNo($odaBorsaNo)
            ->setTerminalNo($terminalNo)
            ->setIstekYapanKullanici($istekYapanKullanici)
            ->setIstekZamani($istekZamani)
            ->setIstekOzeti($istekOzeti);
    }
    /**
     * Get transactionId value
     * @return string|null
     */
    public function getTransactionId()
    {
        return $this->transactionId;
    }
    /**
     * Set transactionId value
     * @param string $transactionId
     * @return \karali\StructType\Metadata
     */
    public function setTransactionId($transactionId = null)
    {
        // validation for constraint: string
        if (!is_null($transactionId) && !is_string($transactionId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($transactionId, true), gettype($transactionId)), __LINE__);
        }
        $this->transactionId = $transactionId;
        return $this;
    }
    /**
     * Get odaBorsaNo value
     * @return string|null
     */
    public function getOdaBorsaNo()
    {
        return $this->odaBorsaNo;
    }
    /**
     * Set odaBorsaNo value
     * @param string $odaBorsaNo
     * @return \karali\StructType\Metadata
     */
    public function setOdaBorsaNo($odaBorsaNo = null)
    {
        // validation for constraint: string
        if (!is_null($odaBorsaNo) && !is_string($odaBorsaNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($odaBorsaNo, true), gettype($odaBorsaNo)), __LINE__);
        }
        $this->odaBorsaNo = $odaBorsaNo;
        return $this;
    }
    /**
     * Get terminalNo value
     * @return string|null
     */
    public function getTerminalNo()
    {
        return $this->terminalNo;
    }
    /**
     * Set terminalNo value
     * @param string $terminalNo
     * @return \karali\StructType\Metadata
     */
    public function setTerminalNo($terminalNo = null)
    {
        // validation for constraint: string
        if (!is_null($terminalNo) && !is_string($terminalNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($terminalNo, true), gettype($terminalNo)), __LINE__);
        }
        $this->terminalNo = $terminalNo;
        return $this;
    }
    /**
     * Get istekYapanKullanici value
     * @return string|null
     */
    public function getIstekYapanKullanici()
    {
        return $this->istekYapanKullanici;
    }
    /**
     * Set istekYapanKullanici value
     * @param string $istekYapanKullanici
     * @return \karali\StructType\Metadata
     */
    public function setIstekYapanKullanici($istekYapanKullanici = null)
    {
        // validation for constraint: string
        if (!is_null($istekYapanKullanici) && !is_string($istekYapanKullanici)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($istekYapanKullanici, true), gettype($istekYapanKullanici)), __LINE__);
        }
        $this->istekYapanKullanici = $istekYapanKullanici;
        return $this;
    }
    /**
     * Get istekZamani value
     * @return string|null
     */
    public function getIstekZamani()
    {
        return $this->istekZamani;
    }
    /**
     * Set istekZamani value
     * @param string $istekZamani
     * @return \karali\StructType\Metadata
     */
    public function setIstekZamani($istekZamani = null)
    {
        // validation for constraint: string
        if (!is_null($istekZamani) && !is_string($istekZamani)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($istekZamani, true), gettype($istekZamani)), __LINE__);
        }
        $this->istekZamani = $istekZamani;
        return $this;
    }
    /**
     * Get istekOzeti value
     * @return string|null
     */
    public function getIstekOzeti()
    {
        return $this->istekOzeti;
    }
    /**
     * Set istekOzeti value
     * @param string $istekOzeti
     * @return \karali\StructType\Metadata
     */
    public function setIstekOzeti($istekOzeti = null)
    {
        // validation for constraint: string
        if (!is_null($istekOzeti) && !is_string($istekOzeti)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($istekOzeti, true), gettype($istekOzeti)), __LINE__);
        }
        $this->istekOzeti = $istekOzeti;
        return $this;
    }
}
